summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2017-02-04 21:03:59 -0500
committerTavian Barnes <tavianator@tavianator.com>2017-02-04 21:05:39 -0500
commit9f1863d45fe596e258596a4b4cc9a4064bcb11d3 (patch)
tree4a627b699f52f03eabd145852891c2aef7c5cb76 /tests.sh
parent538e4b2054e9802ebc860943e0a43baf2ee46741 (diff)
downloadbfs-9f1863d45fe596e258596a4b4cc9a4064bcb11d3.tar.xz
Implement -nouser and -nogroup
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh19
1 files changed, 18 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index 06d319f..5a7e650 100755
--- a/tests.sh
+++ b/tests.sh
@@ -787,9 +787,26 @@ function test_0127() {
bfs_diff basic -inum "$inode"
}
+function test_0127() {
+ [ "$BSD" -o "$GNU" ] || return 0
+
+ local inode="$(ls -id basic/k/foo/bar | cut -f1 -d' ')"
+ bfs_diff basic -inum "$inode"
+}
+
+function test_0128() {
+ [ "$BSD" -o "$GNU" ] || return 0
+ bfs_diff basic -nogroup
+}
+
+function test_0129() {
+ [ "$BSD" -o "$GNU" ] || return 0
+ bfs_diff basic -nouser
+}
+
result=0
-for i in {1..127}; do
+for i in {1..129}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then